## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class SQLColourProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLColourProvider

    public class SQLColourProvider

extends java.lang.Object

Field Summary
`static org.eclipse.swt.graphics.RGB` `COMMENT`
`static org.eclipse.swt.graphics.RGB` `DEFAULT`
`static org.eclipse.swt.graphics.RGB` `ENTITY`
`static org.eclipse.swt.graphics.RGB` `KEYWORD`
`static org.eclipse.swt.graphics.RGB` `STRING`

Constructor Summary
`SQLColourProvider()`

Method Summary
`void` `dispose()`
`void` `finalize()`
`org.eclipse.swt.graphics.Color` `getColor(org.eclipse.swt.graphics.RGB rgb)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final org.eclipse.swt.graphics.RGB DEFAULT

### KEYWORD

    public static final org.eclipse.swt.graphics.RGB KEYWORD

### COMMENT

    public static final org.eclipse.swt.graphics.RGB COMMENT

### STRING

    public static final org.eclipse.swt.graphics.RGB STRING

### ENTITY

    public static final org.eclipse.swt.graphics.RGB ENTITY

Constructor Detail

### SQLColourProvider

    public SQLColourProvider()

Method Detail

### dispose

    public void dispose()

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

### getColor

    public org.eclipse.swt.graphics.Color getColor(org.eclipse.swt.graphics.RGB rgb)

  Parameters:
    `rgb` - org.eclipse.swt.graphics.RGB
  Returns:
    org.eclipse.swt.graphics.Color